Bug 44179 - attempts to mount CD end up with errors.
Summary: attempts to mount CD end up with errors.
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.3
Hardware: alpha
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-11 23:57 UTC by Michal Jaegermann
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-12 08:46:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2001-06-11 23:57:49 UTC
Description of Problem:
Here is what I see on my screen when trying to mount a CD (no,
no 'magicdev' abomination in sight):

toaster:/dev# mount /cdrom/
hdd: tray open
end_request: I/O error, dev 16:40 (hdd), sector 112
ISOFS: unable to read i-node block
hdd: tray open

Another CD, which reads fine on another machine:

end_request: I/O error, dev 16:40 (hdd), sector 236
ISOFS: unable to read i-node block
toaster:/dev# eject
VFS: busy inodes on changed media.

(and CD ejects after that complaint)

How Reproducible:
So far with 100% guarantee if I try to use a kernel from Red Hat.
Oh, yes, 'mount /cdrom' is a valid command in my configuration.


Additional Information:
The first CD happens to be one used to perform an upgrade so it seems
to be readable. :-)

All these problems automagically vanish the moment I will boot a kernel
not from a distribution but what I compiled myself (2.4.5-ac8 or one
of 2.2 kernels). 'eject' also works without any problems.

/var/log/messages do not contain any extra information above what
is already shown.

Comment 1 Phil Copeland 2001-08-25 17:31:29 UTC
Michael, I'm assuming that this works ok for you now in the actual 7.1 release?
I've not seen anyone else report a similar problem so I'm assumiong that it'll
be safe to close this

Phil
=--=

Comment 2 Michal Jaegermann 2001-08-30 23:20:21 UTC
Yes, indeed.  I did not see the trouble with recent software versions
(but I did not investigate what was the real reason behind this;  I hope
that you have some idea :-).

  Michal



Note You need to log in before you can comment on or make changes to this bug.